import { AdaptableModuleBase } from './AdaptableModuleBase';
import { AdaptableModuleView, IModule } from './Interface/IModule';
import { AdaptableApi } from '../Api/AdaptableApi';
import { AdaptableObject } from '../AdaptableState/Common/AdaptableObject';
export declare class ThemeModule extends AdaptableModuleBase implements IModule {
    constructor(api: AdaptableApi);
    getModuleAdaptableObjects(): AdaptableObject[];
    hasNamedQueryReferences(): boolean;
    getViewProperties(): AdaptableModuleView;
}
